import request from '@/utils/request'

// 查询工程材质列表
export function listEnginMaterialQuality(query) {
  return request({
    url: '/zdsz/enginMaterialQuality/list',
    method: 'get',
    params: query
  })
}

// 查询工程材质详细
export function getEnginMaterialQuality(id) {
  return request({
    url: '/zdsz/enginMaterialQuality/' + id,
    method: 'get'
  })
}

// 新增工程材质
export function addEnginMaterialQuality(data) {
  return request({
    url: '/zdsz/enginMaterialQuality',
    method: 'post',
    data: data
  })
}

// 修改工程材质
export function updateEnginMaterialQuality(data) {
  return request({
    url: '/zdsz/enginMaterialQuality',
    method: 'put',
    data: data
  })
}

// 删除工程材质
export function delEnginMaterialQuality(id) {
  return request({
    url: '/zdsz/enginMaterialQuality/' + id,
    method: 'delete'
  })
}
export function getEnginMaterialQualityList() {
  return request({
    url: '/zdsz/enginMaterialQuality/getEnginMaterialQualityList',
    method: 'get',
  })
}
